VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsSecurity"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private Declare Function GetVolumeInformation Lib "kernel32" Alias "GetVolumeInformationA" (ByVal lpRootPathName As String, ByVal lpVolumeNameBuffer As String, ByVal nVolumeNameSize As Long, lpVolumeSerialNumber As Long, lpMaximumComponentLength As Long, lpFileSystemFlags As Long, ByVal lpFileSystemNameBuffer As String, ByVal nFileSystemNameSize As Long) As Long
Private Declare Function GetDiskFreeSpace Lib "kernel32" Alias "GetDiskFreeSpaceA" (ByVal lpRootPathName As String, lpSectorsPerCluster As Long, lpBytesPerSector As Long, lpNumberOfFreeClusters As Long, lpTotalNumberOfClusters As Long) As Long
Private Type HDDInfo
    sVolumeLabel As String      'label of this drive
    sFileSystem As String       'file system
    lSerialNumber As Long       'hdd serial number
    lFileSystemFlags As Long    'filesystemflags
    dTotalHDDSpace As Double    'totlal hdd space
End Type
Private hdd As HDDInfo
Public Sub InitHDDInfo(sDriveLetter As String)
    hdd.sVolumeLabel = String(260, Chr(0))
    hdd.sFileSystem = String(6, Chr(0))
    'get hdd info
    If GetVolumeInformation(sDriveLetter, hdd.sVolumeLabel, 260, hdd.lSerialNumber, lMaxCompLen, hdd.lFileSystemFlags, hdd.sFileSystem, 260) Then
        hdd.sVolumeLabel = Replace(hdd.sVolumeLabel, Chr(0), "")
        hdd.sFileSystem = Replace(hdd.sFileSystem, Chr(0), "")
    End If
    'get total hdd space
    hdd.dTotalHDDSpace = CDec(0)
    If GetDiskFreeSpace(sDriveLetter, lSecPerClus, lBytPerSec, lFreeClus, lTotalClus) Then
        hdd.dTotalHDDSpace = CDec(lSecPerClus * lBytPerSec * lTotalClus)
    End If
End Sub
Public Function TestHddFileSystem() As String
    TestHddFileSystem = hdd.sFileSystem
End Function
Public Function TestHddSerialNumber() As String
    TestHddSerialNumber = hdd.lSerialNumber
End Function
Public Function TestHddFileSystemFlags() As String
    TestHddFileSystemFlags = hdd.lFileSystemFlags
End Function
Public Function TestHddTotalSpace() As String
    TestHddTotalSpace = hdd.dTotalHDDSpace
End Function

